#
# spec file for package libcroco (Version 0.6.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libxml2 libxml2-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libcroco
BuildRequires:  glib2-devel libxml2-devel
Version:        0.6.0
Release:        23.2
URL:            http://www.freespiders.org/projects/libcroco/
Group:          System/Libraries
License:        GPL, LGPL
Summary:        CSS2 Parser Library
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.6/%{name}-%{version}.tar.bz2
Patch:          libcroco-link.patch
Patch1:         libcroco-overflow.patch
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libcroco is a stand-alone CSS2 parsing library. It provides a low-level
event-driven SAC-like API and a CSS object model-like API.



Authors:
--------
    Gael Chamoulaud <strider@gnome.org>
    Rob BUIS <rwlbuis@xs4all.nl>

%debug_package
%package devel
Group:          System/Libraries
Summary:        CSS2 Parser Library Development Files
Requires:       %{name} = %{version} glib2-devel libxml2-devel zlib-devel

%description devel
Libcroco is a stand-alone CSS2 parsing library. It provides a low-level
event-driven SAC-like API and a CSS object model like API.



Authors:
--------
    Gael Chamoulaud <strider@gnome.org>
    Rob BUIS <rwlbuis@xs4all.nl>

%prep
%setup -q
%patch
%patch1 -p1

%build
autoreconf -f -i
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
./configure\
  --prefix=/opt/gnome\
  --mandir=/opt/gnome/share/man\
  --sysconfdir=/etc/opt/gnome\
  --localstatedir=/var/opt/gnome\
  --libdir=/opt/gnome/%{_lib}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
#gzip -9nf $RPM_BUILD_ROOT/opt/gnome/share/man/man?/*.?

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog HACKING NEWS README TODO
/opt/gnome/%{_lib}/*.so.*
/opt/gnome/bin/csslint-0.6
#%doc /opt/gnome/share/man/man?/*.*

%files devel
%defattr (-, root, root)
/opt/gnome/%{_lib}/*.*a
/opt/gnome/%{_lib}/*.so
/opt/gnome/%{_lib}/pkgconfig/*.pc
/opt/gnome/bin/*-config
/opt/gnome/include/*

%changelog -n libcroco
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jul 29 2005 - sbrabec@suse.cz
- Fixed devel dependencies.
* Wed Apr 27 2005 - meissner@suse.de
- fixed overflow.
* Thu Feb 17 2005 - sbrabec@suse.cz
- Fixed library linking (#50796).
* Sat Feb 12 2005 - gekker@suse.de
- Update to version 0.6.0
* Tue May 04 2004 - sbrabec@suse.cz
- New SuSE package, version 0.5.1.
